Description

When we execute gvSIG double-clicking on the gvsig-desktop.cmd file on Windows, the console reports that ${/INSTALL _DRIVE} is
not recognized and it's impossible to find a specified path (i.e. ${INSTALL_DRIVE}). Fortunately is not a blocking issue.
| suggest to brutally simplify the content of gvsig-desktop.cmd batch script as:

@echo off
busybox sh gvSIG.sh

Related issues:
Duplicated by Application: gvSIG desktop - gvSIG bugs # 4316: gvsig-desktop.v... Invalid 08/08/2016

Associated revisions

Revision 42952 - 08/25/2016 02:36 PM - Joaquin del Cerro Murciano

refs #4317, Ahadida la expansion de variables que realiza el instalador en los ficheros de la portable

Revision 42973 - 09/15/2016 02:49 PM - Joaquin del Cerro Murciano

refs #4317 y #4173. Corregido para que al generar la portable se expandan correctamente las variables que expande el instalador del 1zPack.

History

#1 - 08/21/2016 11:17 AM - Joaquin del Cerro Murciano

Parece un problema del instalador, ya que esas variables deberian sustituirse por sus valores correspondientes en el momento de la instalacion.

Al Izpack se le indica:
<pack name="gvSIG desktop commons windows" required="yes">

<description>Core common files for Windows platforms</description>
<file src="${product.folder}/gvsig-package-installer.cmd" targetdir="$INSTALL_PATH"/>
<file src="${product.folder}/gvsig-desktop.cmd" targetdir="$INSTALL_PATH"/>
<file src="${product.folder}/gvsig-desktop.vbs" targetdir="$INSTALL_PATH"/>
<file src="busybox.exe" targetdir="$INSTALL_PATH"/>
<file src="cygcheck.exe" targetdir="$INSTALL_PATH"/>
<parsable targetfile="$INSTALL_PATH/gvsig-package-installer.cmd"/>
<parsable targetfile="$INSTALL_PATH/gvsig-desktop.cmd"/>
<parsable targetfile="$INSTALL_PATH/gvsig-desktop.vbs"/>

</pack>

De forma que el Izpack, para los dos cmd y el vbs, deba sustituir esas variables.

Cuando pueda lo mirare.

Lo de quitar las lineas esas del cmd no hes del todo correcto ya que si se ha instalado en una unidad distinta a la C no funciona. Por eso se

afnadieron.

#2 - 08/21/2016 11:17 AM - Joaquin del Cerro Murciano

- Related to gvSIG bugs #4316: gvsig-desktop.vbs: Unable to find the requested file added

#3 - 08/21/2016 11:18 AM - Joaquin del Cerro Murciano
- Related to deleted (gvSIG bugs #4316: gvsig-desktop.vbs: Unable to find the requested file)

#4 - 08/21/2016 11:18 AM - Joaquin del Cerro Murciano
- Duplicated by gvSIG bugs #4316: gvsig-desktop.vbs: Unable to find the requested file added

#5 - 08/24/2016 11:06 AM - Joaquin del Cerro Murciano

Hola Antonio,

por un correo en la lista me he dado cuenta de un error que puede estar relacionado con este.

A un usuario le pasa lo mismo. Esta ejecutando la portable. En la portable no se realizan las sustituciones del instalador ya que no hay instalador.

¢, Atite pasa en la portable o en una instalacién normal ?

#6 - 08/24/2016 12:10 PM - Antonio Falciano

Hi Joaquin,
this issue happens in the portable, also in build 2442.

#7 - 08/25/2016 11:17 AM - Joaquin del Cerro Murciano

- Target version changed from 2.3.0-2447-final (rev. org.gvsig.desktop-2.0.153) to 2.3.0-2443-RC3 (rev. org.gvsig.desktop-2.0.150)

- Subject changed from gvsig-desktop.cmd: ${INSTALL_DRIVE} is not recognized to gvsig-desktop.cmd: ${INSTALL_DRIVE} is not recognized (in the
portable)

#8 - 08/25/2016 02:37 PM - Joaquin del Cerro Murciano
- Target version changed from 2.3.0-2443-RC3 (rev. org.gvsig.desktop-2.0.150) to 2.3.0-2447-final (rev. org.gvsig.desktop-2.0.153)
- Assignee set to Joaquin del Cerro Murciano

- Status changed from New to Fixed
#9 - 08/25/2016 02:41 PM - Joaquin del Cerro Murciano
- Target version changed from 2.3.0-2447-final (rev. org.gvsig.desktop-2.0.153) to 2.3.0-2443-RC3 (rev. org.gvsig.desktop-2.0.150)

#10 - 08/31/2016 11:58 AM - Antonio Falciano

The issue persists only in the console in RC4, there's not trace in the gvSIG-launcher.log but the gvSIG Installation folder is correctly found, so it's not
a blocking issue, but only a cosmetic one.

#11 - 09/02/2016 10:20 AM - Joaquin del Cerro Murciano
- Target version changed from 2.3.0-2443-RC3 (rev. org.gvsig.desktop-2.0.150) to 2.3.0-2447-final (rev. org.gvsig.desktop-2.0.153)
- Status changed from Fixed to New

#12 - 09/15/2016 02:49 PM - Joaquin del Cerro Murciano
- Status changed from New to Fixed

#13 - 09/15/2016 02:49 PM - Joaquin del Cerro Murciano
- Target version changed from 2.3.0-2447-final (rev. org.gvsig.desktop-2.0.153) to 2.3.0-2445 (rev. org.gvsig.desktop-2.0.152)

#14 - 10/20/2016 05:22 PM - Alvaro Anguix
- Status changed from Fixed to Closed

Files

gvsig-desktop.cmd_warn.png 48.8 KB 08/08/2016 Antonio Falciano

05/05/2024 3/3



